System 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

controls the access that code is granted to X.509 stores. The permission is based on flags representing the access levels that apply to every store.

Controls access to stores containing X.509 certificates. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The permission object provides either fully restricted (None) or Unrestricted access to X.509 stores. If fully restricted (None), the property can then be set to specify the type of access allowed.

  Initializes a new instance of the class with either fully restricted or unrestricted permission state.

  One of the values.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The parameter specifies the permitted access to X.509 stores. The specified permitted access applies to all stores. It is not possible to specify access to an individual store.

  Initializes a new instance of the class with the specified access.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags To be added.

  The property specifies the permitted access to X.509 stores. X.509 stores are physical stores used to persist and manage X.509 certificates.

  Gets or sets the type of access allowed by the current permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  The method reconstructs a object from an XML encoding defined by the class. Use the method to XML-encode the , including state information.

  Reconstructs a permission with a specified state from an XML encoding.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations that both permissions describe in common. Only a demand that passes both original permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission specifies a set of operations that is wholly contained by the specified permission. For example, a permission that represents access to C:\example.txt is a subset of a permission that represents access to C:\. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission to test for the subset relationship. This permission must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to all resources protected by the permission.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Use the method to restore the state information from a .

  Creates an XML encoding of the permission and its current state.

  A that contains an XML encoding of the permission, including any state information.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to is a permission that represents all operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.